## shorlfilter 0.5.2-2

=== Makefile ===
PREFIX=/usr
INSTALL=/usr/bin/install
BINDIR=$(DESTDIR)$(PREFIX)/bin
MANDIR=$(DESTDIR)$(PREFIX)/share/man/man1

none: 

man: shorlfilter
	pod2man shorlfilter > shorlfilter.1

install: shorlfilter shorlfilter.1
	$(INSTALL) -d $(BINDIR) $(MANDIR) 
	$(INSTALL) -m 755 -o bin -g bin shorlfilter $(BINDIR)
	$(INSTALL) -m 644 -o bin -g bin shorlfilter.1 $(MANDIR)

uninstall:
	rm $(BINDIR)/shorlfilter
	rm $(MANDIR)/shorlfilter.1

clean:

=== debian/changelog ===
shorlfilter (0.5.2-2) unstable; urgency=low

  * Change to architecture: all, since there is no architecture specific code.
    (Closes #355391).

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Sun,  5 Mar 2006 08:39:21 -0500

shorlfilter (0.5.2-1) unstable; urgency=low

  * Slight change in URL regexp so archive.org links are properly shortened

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Wed, 24 Nov 2004 08:32:08 -0500

shorlfilter (0.5.1-2) unstable; urgency=low

  * Removed trailing space from long description

 -- Adam Kessel <ajkessel@debian.org>  Fri,  2 Jan 2004 10:58:51 -0500

shorlfilter (0.5.1-1) unstable; urgency=low

  * New upstream release
  * Doesn't grab trailing closing parenthesis or quotation mark into 
    shortened URL when the URL is preceeded by a opening parenthesis or
    quotation mark (thanks to slaniel for pointing this out)

 -- Adam Kessel <adam@bostoncoop.net>  Tue,  9 Sep 2003 04:46:31 -0700

shorlfilter (0.5-1) unstable; urgency=low

  * Fails gracefully, returns URL unmodified if unable to contact
    shorl.com
  * New option --retry allows user to specify how many times to retry
    contacting shorl.com in case of failure

 -- Adam Kessel <adam@bostoncoop.net>  Sat, 30 Aug 2003 18:17:52 -0400

shorlfilter (0.1-1) unstable; urgency=low

  * Initial Release. Created Debian Package.

 -- Adam Kessel <adam@bostoncoop.net>  Thu, 14 Aug 2003 17:11:00 -0600

=== debian/control ===
Source: shorlfilter
Section: text
Priority: optional
Maintainer: Adam Kessel <adam@bostoncoop.net>
Build-Depends: debhelper (>> 4.0.0)
Standards-Version: 3.6.1

Package: shorlfilter
Section: text
Architecture: all
Depends: ${perl:Depends}, libwww-shorten-perl (>=1.58-1)
Description: Text filter to shorten long URLs using online redirection database
 Shorlfilter takes all HTTP links in input text longer than a specified length
 and converts them to short links through the online shorl database. It is
 particularly handy for email, and can be used as a vim or mutt macro. 
 .
 See http://shorl.com for more information.

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE)
	pod2man shorlfilter > shorlfilter.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/shorlfilter


binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure
